petsc-3.4.2 2013-07-02

# SNESLineSearchSetPostCheck

Sets a post-check function for the line search routine.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchSetPostCheck(SNESLineSearch linesearch, PetscErrorCode (*SNESLineSearchPostCheckFunction)(SNESLineSearch,Vec,Vec,Vec,PetscBool*,PetscBool*,void*),void *ctx)

Logically Collective on SNESLineSearch

### Input Parameters

| linesearch | - the SNESLineSearch context
| SNESLineSearchPostCheckFunction | - [optional] function evaluation routine
| ctx | - [optional] user-defined context for private data for the function evaluation routine (may be NULL)

### Keywords

set, linesearch, post-check

### See Also

SNESLineSearchSetPreCheck()

Level:intermediate
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex3.c.html